[Unit]
Description="HashiCorp Consul-template"
Documentation=https://github.com/hashicorp/consul-template
Requires=network-online.target
After=network-online.target
ConditionFileNotEmpty={{ consul_template_config_dir }}/{{ consul_template_config_file }}

[Service]
User={{ consul_template_user_name }}
Group={{ consul_template_user_name }}
ExecStart=/usr/local/bin/consul-template -config={{ consul_template_config_dir }}/{{ consul_template_config_file }}
ExecReload=/bin/kill --signal HUP $MAINPID
KillMode=process
KillSignal=SIGINT
Restart=on-failure
RestartSec=5
TimeoutStopSec=30
LimitNOFILE=65536

[Install]
WantedBy=multi-user.target